> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Segment Field Values

> Find observed values for a segment-exposed string or list-of-strings resource field.



## OpenAPI

````yaml GET /api/segments/field-values
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /api/segments/field-values:
    get:
      tags:
        - Segments
      summary: Find Segment Field Values
      description: >-
        Find observed values for a segment-exposed string or list-of-strings
        resource field.
      parameters:
        - name: reach-tenant-id
          in: header
          required: false
          schema:
            type: string
            description: >-
              If using a platform scoped JWT, you can pass in a header to
              impersonate a specific tenant to impersonate the request as.
        - schema:
            type: string
            format: uuid
            description: The resource schema containing the field
          required: true
          description: The resource schema containing the field
          name: schemaId
          in: query
        - schema:
            type: string
            minLength: 1
            maxLength: 200
            description: The field name from the segment schema catalog
          required: true
          description: The field name from the segment schema catalog
          name: field
          in: query
        - schema:
            type: string
            minLength: 1
            maxLength: 100
            description: Optional case-insensitive text contained in returned values
          required: false
          description: Optional case-insensitive text contained in returned values
          name: search
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
            description: Maximum number of observed values to return
          required: false
          description: Maximum number of observed values to return
          name: limit
          in: query
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      field:
                        type: string
                        description: The normalized field name
                      values:
                        type: array
                        items:
                          type: string
                        description: >-
                          Observed values ordered by frequency, then
                          alphabetically
                      truncated:
                        type: boolean
                        description: >-
                          Whether more observed values exist in the bounded
                          sample
                    required:
                      - field
                      - values
                      - truncated
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message

````